Uygulamamızı yükleyin 🪄 Adres çubuğunun sağ üst köşesindeki simgesine tıklayın.

Alan adları

GET https://uptimeset.com/api/domain-names/
curl --request GET \
--url 'https://uptimeset.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
Parametreler Ayrıntılar Açıklama
search İsteğe bağlı Dize Arama dizesi.
search_by İsteğe bağlı Dize Hangi alana göre arama yapıyorsunuz. İzin verilen değerler şunlardır: name, target.
is_enabled İsteğe bağlı Mantıksal
datetime_field İsteğe bağlı Dize İzin verilen değerler: datetime, last_datetime, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime
datetime_start İsteğe bağlı Dize Sonuçları bu tarih saatinden başlayarak filtreleyin. Y-m-d H:i:s formatı.
datetime_end İsteğe bağlı Dize Bu tarih ve saate kadar sonuçları filtrele. Y-m-d H:i:s formatı.
order_by İsteğe bağlı Dize Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: domain_name_id, datetime, last_datetime, name, target, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime.
order_type İsteğe bağlı Dize Sonuçların sıralaması. İzin verilen değerler şunlardır: ASC artan sıralama için, ve DESC azalan sıralama için.
page İsteğe bağlı Tam sayı Sonuçları almak istediğiniz sayfa numarası. Varsayılan olarak 1.
results_per_page İsteğe bağlı Tam sayı Sayfa başına kaç sonuç istediğinizi belirtir. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 1,
            "name": "Example",
            "target": "Example",
            "whois": [],
            "whois_notifications": [],
            "ssl": {},
            "ssl_notifications": [],
            "total_checks": 1,
            "last_check_datetime": null,
            "next_check_datetime": null,
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-10-16 10:59:42"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://uptimeset.com/api/domain-names?page=1",
        "last": "https://uptimeset.com/api/domain-names?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimeset.com/api/domain-names?page=1"
    }
}
GET https://uptimeset.com/api/domain-names/{domain_name_id}
curl --request GET \
--url 'https://uptimeset.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "whois": [],
        "whois_notifications": [],
        "ssl": {},
        "ssl_notifications": [],
        "total_checks": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-16 10:59:42"
    }
}
POST https://uptimeset.com/api/domain-names
Parametreler Ayrıntılar Açıklama
name Gerekli Dize -
target Gerekli Dize -
project_id İsteğe bağlı Tam sayı -
whois_notifications İsteğe bağlı Dizi Bildirim işleyici kimlikleri
whois_notifications_timing İsteğe bağlı Tam sayı İzin verilen değerler: 1, 2, 3, 7, 14, 30, 60 (günler)
ssl_notifications İsteğe bağlı Dizi Bildirim işleyici kimlikleri
ssl_notifications_timing İsteğe bağlı Tam sayı İzin verilen değerler: 1, 2, 3, 7, 14, 30, 60 (günler)
is_enabled İsteğe bağlı Mantıksal -
curl --request POST \
--url 'https://uptimeset.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "whois": null,
        "whois_notifications": [],
        "ssl": null,
        "ssl_notifications": [],
        "total_checks": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-16 10:59:42"
    }
}
POST https://uptimeset.com/api/domain-names/{domain_name_id}
Parametreler Ayrıntılar Açıklama
name İsteğe bağlı Dize -
target İsteğe bağlı Dize -
project_id İsteğe bağlı Tam sayı -
whois_notifications İsteğe bağlı Dizi Bildirim işleyici kimlikleri
whois_notifications_timing İsteğe bağlı Tam sayı İzin verilen değerler: 1, 2, 3, 7, 14, 30, 60 (günler)
ssl_notifications İsteğe bağlı Dizi Bildirim işleyici kimlikleri
ssl_notifications_timing İsteğe bağlı Tam sayı İzin verilen değerler: 1, 2, 3, 7, 14, 30, 60 (günler)
is_enabled İsteğe bağlı Mantıksal -
curl --request POST \
--url 'https://uptimeset.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "whois": [],
        "whois_notifications": [],
        "ssl": {},
        "ssl_notifications": [],
        "total_checks": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-16 10:59:42"
    }
}
DELETE https://uptimeset.com/api/domain-names/{domain_name_id}
curl --request DELETE \
--url 'https://uptimeset.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \